package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class RoomChangeApplicationCollection extends AbstractObjectCollection 
{
    public RoomChangeApplicationCollection()
    {
        super(RoomChangeApplicationInfo.class);
    }
    public boolean add(RoomChangeApplicationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(RoomChangeApplicationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(RoomChangeApplicationInfo item)
    {
        return removeObject(item);
    }
    public RoomChangeApplicationInfo get(int index)
    {
        return(RoomChangeApplicationInfo)getObject(index);
    }
    public RoomChangeApplicationInfo get(Object key)
    {
        return(RoomChangeApplicationInfo)getObject(key);
    }
    public void set(int index, RoomChangeApplicationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(RoomChangeApplicationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(RoomChangeApplicationInfo item)
    {
        return super.indexOf(item);
    }
}